{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "minecraft:iron_golem",
      "spawn_egg": {
        "base_color": "#dbcdc2",
        "overlay_color": "#74a332"
      },
	  "render_controllers": [
		"controller.render.iron_golem_cracks",
		{"controller.render.default":"q.property('ldz:ice_overlay') == false"},
		{"controller.render.default_ice_overlay":"q.property('ldz:ice_overlay') == true"}
	]
    }
  }
}